<?PHP
ini_set('error_reporting', 1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];  
$id_user = $_SESSION['ss_user'];
include("../conex.php");
//************************************************lee y saca valor en nodo XML ****************** 
function obtValorXML($xml, $var, $x) 
    {
	$dom = new DOMDocument();
	$dom->load($xml);
	$data = array();
	$elements = $dom->getElementsByTagName($var);
	foreach($elements as $node)
	  {
		foreach($node->childNodes as $child) 
		{
			$data[] = $child->nodeValue;
		}
	  }
	if(count($data) > 0) 
	  {
		return($data[$x]);
	  } 
	  else 
	  {
		return "";
	  }
      }
   
   function Cuenta_XML($xml, $var) 
   {
   $cuantos=0; 				
	while (obtValorXML($xml, $var, $cuantos) >0) 
	{$cuantos+=1;}
   return($cuantos);
	}
   
 
  /******************* Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna and id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_rut = str_replace('.', '', $empresa_rut);
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "empresa_direccion");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_rut_representante = str_replace('.', '', $empresa_rut_representante);
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
		$row=$row+1;
		} 
   
   
   
   
  // Subir DTE a server  

 
 
   $name_reserva = $_FILES['reserva']['name'];
//var_dump ($name_reserva);
	$dir = '/var/www/html/'.$sitio_empresa.'/lcompra/DOC_RECIBE/';
//var_dump ($dir);
if ($name_reserva!=NULL)
{
	$type_reserva = $_FILES['reserva']['type'];
	// var_dump ( $type_reserva);
	$tmp_name_reserva = $_FILES["reserva"]["tmp_name"];
	 //var_dump ( $tmp_name_reserva);
	$size_reserva = $_FILES['reserva']['size'];
	 //var_dump ( $size_reserva);
	//$name_reserva = uniqid('bc') . '_' . $name_reserva; 
	move_uploaded_file($tmp_name_reserva, $dir.$name_reserva);
//	$campo_reserva = ", reserva";	
	//$name_reserva = ", '".$name_reserva."'"; 
}
else
{
	 var_dump ("Error en archivo");
}
  
  //***********************************************
  
   
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<form id="form1" name="form1" method="post" action="">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Recepciones DTE</title>

<?php
	
		
		$total_exento=0;
		$total_neto=0;
		$total_iva=0;
		$total_iva_comun=0;
		$total_iva_no_rec=0;
		$total_total=0;
		$total_ivar=0;
		
	$archivo="./DOC_RECIBE/".$name_reserva;

	$RutEmisorLibro=obtValorXML($archivo,'RutEmisorLibro','0');
    $PeriodoTributario=obtValorXML($archivo,'PeriodoTributario','0');
	 $fecha_libro=  substr ($PeriodoTributario,5,2) .'-' .substr ($PeriodoTributario,0,4);
	
	$TipoOperacion = obtValorXML($archivo,'TipoOperacion','0');
	
?>

<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>


  


<body LINK="#000000" VLINK="#000000" ALINK="#000000">
<div align="center" class="titulos2">LIBRO MES DE <?=$TipoOperacion?>  PERIODO <?=$PeriodoTributario?></div>
  
  
     	
	
	<?
	
	if ($TipoOperacion=='COMPRA')
{
	
	
	$cuantos_tipo= Cuenta_XML($archivo,'TotDoc');
				
	$total_dcto=0;
	for ($i_tipo=0; $i_tipo<$cuantos_tipo; $i_tipo++)
	{
	//********Inicio for
	$TotDoc = obtValorXML($archivo,'TotDoc',$i_tipo);
	$total_dcto+=$TotDoc;
	}
	for ($cant=0; $cant<$total_dcto; $cant++)
	{
	 		
				$TpoDoc = obtValorXML($archivo,'TpoDoc',$cant);
				
				$factor=1;
				if($TpoDoc==61) $factor=-1;				
				
				
				$NroDoc=obtValorXML($archivo,'NroDoc',$cant);
				
				$FchDoc=obtValorXML($archivo,'FchDoc',$cant);				
				
				$RUTDoc = obtValorXML($archivo,'RUTDoc',$cant);
	
				$RznSoc = obtValorXML($archivo,'RznSoc',$cant);
			
				$FmaPago = obtValorXML($archivo,'FmaPago',$cant);	
						
				$NumInt = obtValorXML($archivo,'NumInt',$cant);
			
				$cor =  $NumInt;
				
				$observacion =  "";
				 $ivausocomun = 0;
			     $factorivausocomun =  0;
				 
				 $iva_no_rec = 0;
			     $cod_iva_no_rec= 0;
				 $exento=0;
				$exento= obtValorXML($archivo,'MntExe',$cant);
				  if ($exento=='') {$exento=0;}
				$MontoImp=0;
				//<TipoImp>28</TipoImp>      <MontoImp>3631</MntImp>  especifico a exento
				$MontoImp= obtValorXML($archivo,'MntImp',$cant);
				  if ($MontoImp=='') {$MontoImp=0;}
				$exento=$exento+$MontoImp;
				
                $neto= obtValorXML($archivo,'MntNeto',$cant);
				  
				$iva= obtValorXML($archivo,'MntIVA',$cant);
				$total = obtValorXML($archivo,'MntTotal',$cant);
				$ivar= 0;
	
//agrega puntos al rut	
		$l_rut= strlen ($RUTDoc);	
		if ($l_rut<10) 	$RUTDoc='0'.$RUTDoc;
 $RUTDoc = substr ($RUTDoc,0,2).'.'.substr ($RUTDoc,2,3).'.'.substr ($RUTDoc,5);    // 07914075-9
// busca existencia en nombres
$sql_be = "SELECT * FROM nombres WHERE rut='$RUTDoc'";
	$res_be = mysql_query($sql_be,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_be))
		{
		$emp_codigo=mysql_result($res_be, $row, "codigo");
		$row=$row+1;
		}
	
	if ($row==0)
		{
		$sql_ins = "INSERT INTO nombres (rut, razon_social, direccion, email, region, comuna, ciudad, fono1, fax, proveedor, rubro_giro)
		VALUES ('$RUTDoc', '$RznSoc', '$txtdireccion', '$txtemail', 10, 255, 'Puerto Montt', '$txtfono', '$txtfax', 'True', '$txtactividad')";

		mysql_query($sql_ins,$enlace);
		}





if ($TipoOperacion=='COMPRA')
{

// validar existencia
$cons_dcto = mysql_query("SELECT * FROM entrada WHERE empresa=$id_empresa AND tipo_dcto = $TpoDoc AND num_dcto = $NroDoc AND  rut_proveedor='$RUTDoc'", $enlace);

$cont=0;
while ( mysql_fetch_object ($cons_dcto) ) 
	{
	$cont = $cont + 1;
	}
if ($cont==0) 

    {

$wsql = "INSERT INTO entrada (empresa, rut_proveedor, num_dcto, tipo_dcto, fecha_emision, fecha_recepcion, fecha_pago, fecha_libro, tipo_pago, exento, neto, iva, total, iva_retenido, productos, num_dcto_control, pagada, usuario, bodega, vendedor, correlativo, factor, observacion, factor_iva_uso_comun, iva_uso_comun, cod_iva_no_recuperable, iva_no_recuperable) 
	VALUES ($id_empresa, '$RUTDoc', $NroDoc, $TpoDoc, '$FchDoc', '$FchDoc', '$FchDoc', '$FchDoc', 1, $exento,  $neto, $iva, $total, $ivar, 0 , 0, 0, $id_user, 1, 1, '$cor','$factor', '$txtobs', '$factorivausocomun', '$ivausocomun',  $cod_iva_no_rec, $iva_no_rec)";

//echo($wsql);
	
	mysql_query($wsql,$enlace); 
	
	
//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM entrada WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$eultimo_id = mysql_result($res_ultimo, 0, "id");
	
	
	
	
	
	$lstcargo0=100;                           //  sin cuenta de cargo
	$txtcargo0=($exento+$neto);
/*************** MERCADERIA =0  ES GASTO ***************/
        if ($lstcargo0<>null)
		{
				$cargos_sql="INSERT INTO cuentas_de_cargo (id_plan_cuenta, id_entrada, valor, fecha_libro, id_empresa) 
		VALUES ($lstcargo0, $eultimo_id, $txtcargo0, '$FchDoc', $id_empresa)";
		mysql_query(utf8_decode($cargos_sql),$enlace);
		}

	
	
	
	}
}

	
	}
	
	
  }  
    
    ?>
    
    <form name="form1" method="post" action="">
     
        <input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();">
      
    </form>
 
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
{
window.top.open('','_parent',''); window.top.close();
}
function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	}
</script>